# Method: accounts.generateAccountNumber

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts/generateAccountNumber#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts/generateAccountNumber#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts/generateAccountNumber#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts/generateAccountNumber#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts/generateAccountNumber#body.aspect)

> [!WARNING]
> This endpoint is deprecated.

Generates an account number for this account. The account number is not provisioned when an account is created. Use this request to create an account number when it is required.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{name=accounts/*}:generateAccountNumber`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the account to generate an account number for. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts#Account`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).